Package com.independentsoft.office.spreadsheet

# Class ConditionalFormattingRule

java.lang.Object
com.independentsoft.office.spreadsheet.ConditionalFormattingRule

public class ConditionalFormattingRule extends Object
The Class ConditionalFormattingRule.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionalFormattingRule()`
  Instantiates a new conditional formatting rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionalFormattingRule`
  `clone()`
  `ColorScale`
  `getColorScale()`
  Gets the color scale.
  `ConditionalFormatOperator`
  `getConditionalFormatOperator()`
  Gets the conditional format operator.
  `DataBar`
  `getDataBar()`
  Gets the data bar.
  `int`
  `getFormatID()`
  Gets the format id.
  `String`
  `getFormula1()`
  Gets the formula1.
  `String`
  `getFormula2()`
  Gets the formula2.
  `String`
  `getFormula3()`
  Gets the formula3.
  `IconSet`
  `getIconSet()`
  Gets the icon set.
  `int`
  `getPriority()`
  Gets the priority.
  `int`
  `getRank()`
  Gets the rank.
  `int`
  `getStandardDeviationCount()`
  Gets the standard deviation count.
  `String`
  `getText()`
  Gets the text.
  `TimePeriod`
  `getTimePeriod()`
  Gets the time period.
  `ConditionalFormatType`
  `getType()`
  Gets the type.
  `boolean`
  `isAboveAverage()`
  Checks if is above average.
  `boolean`
  `isBottom()`
  Checks if is bottom.
  `boolean`
  `isEqualAverage()`
  Checks if is equal average.
  `boolean`
  `isFormatRow()`
  Checks if is format row.
  `boolean`
  `isStopIfTrue()`
  Checks if is stop if true.
  `boolean`
  `isTopPercent()`
  Checks if is top percent.
  `void`
  `setAboveAverage​(boolean isAboveAverage)`
  Sets the above average.
  `void`
  `setBottom​(boolean isBottom)`
  Sets the bottom.
  `void`
  `setColorScale​(ColorScale colorScale)`
  Sets the color scale.
  `void`
  `setConditionalFormatOperator​(ConditionalFormatOperator formatOperator)`
  Sets the conditional format operator.
  `void`
  `setDataBar​(DataBar dataBar)`
  Sets the data bar.
  `void`
  `setEqualAverage​(boolean isEqualAverage)`
  Sets the equal average.
  `void`
  `setFormatID​(int formatID)`
  Sets the format id.
  `void`
  `setFormatRow​(boolean formatRow)`
  Sets the format row.
  `void`
  `setFormula1​(String formula1)`
  Sets the formula1.
  `void`
  `setFormula2​(String formula2)`
  Sets the formula2.
  `void`
  `setFormula3​(String formula3)`
  Sets the formula3.
  `void`
  `setIconSet​(IconSet iconSet)`
  Sets the icon set.
  `void`
  `setPriority​(int priority)`
  Sets the priority.
  `void`
  `setRank​(int rank)`
  Sets the rank.
  `void`
  `setStandardDeviationCount​(int standardDeviationCount)`
  Sets the standard deviation count.
  `void`
  `setStopIfTrue​(boolean stopIfTrue)`
  Sets the stop if true.
  `void`
  `setText​(String text)`
  Sets the text.
  `void`
  `setTimePeriod​(TimePeriod timePeriod)`
  Sets the time period.
  `void`
  `setTopPercent​(boolean isTopPercent)`
  Sets the top percent.
  `void`
  `setType​(ConditionalFormatType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConditionalFormattingRule

    public ConditionalFormattingRule()
    Instantiates a new conditional formatting rule.

- ## Method Details

  - ### clone

    public ConditionalFormattingRule clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorScale

    public ColorScale getColorScale()
    Gets the color scale.
    Returns:
      the color scale

  - ### setColorScale

    public void setColorScale​(ColorScale colorScale)
    Sets the color scale.
    Parameters:
      `colorScale` - the new color scale

  - ### getDataBar

    public DataBar getDataBar()
    Gets the data bar.
    Returns:
      the data bar

  - ### setDataBar

    public void setDataBar​(DataBar dataBar)
    Sets the data bar.
    Parameters:
      `dataBar` - the new data bar

  - ### getFormula1

    public String getFormula1()
    Gets the formula1.
    Returns:
      the formula1

  - ### setFormula1

    public void setFormula1​(String formula1)
    Sets the formula1.
    Parameters:
      `formula1` - the new formula1

  - ### getFormula2

    public String getFormula2()
    Gets the formula2.
    Returns:
      the formula2

  - ### setFormula2

    public void setFormula2​(String formula2)
    Sets the formula2.
    Parameters:
      `formula2` - the new formula2

  - ### getFormula3

    public String getFormula3()
    Gets the formula3.
    Returns:
      the formula3

  - ### setFormula3

    public void setFormula3​(String formula3)
    Sets the formula3.
    Parameters:
      `formula3` - the new formula3

  - ### getIconSet

    public IconSet getIconSet()
    Gets the icon set.
    Returns:
      the icon set

  - ### setIconSet

    public void setIconSet​(IconSet iconSet)
    Sets the icon set.
    Parameters:
      `iconSet` - the new icon set

  - ### isAboveAverage

    public boolean isAboveAverage()
    Checks if is above average.
    Returns:
      true, if is above average

  - ### setAboveAverage

    public void setAboveAverage​(boolean isAboveAverage)
    Sets the above average.
    Parameters:
      `isAboveAverage` - the new above average

  - ### isBottom

    public boolean isBottom()
    Checks if is bottom.
    Returns:
      true, if is bottom

  - ### setBottom

    public void setBottom​(boolean isBottom)
    Sets the bottom.
    Parameters:
      `isBottom` - the new bottom

  - ### getFormatID

    public int getFormatID()
    Gets the format id.
    Returns:
      the format id

  - ### setFormatID

    public void setFormatID​(int formatID)
    Sets the format id.
    Parameters:
      `formatID` - the new format id

  - ### isEqualAverage

    public boolean isEqualAverage()
    Checks if is equal average.
    Returns:
      true, if is equal average

  - ### setEqualAverage

    public void setEqualAverage​(boolean isEqualAverage)
    Sets the equal average.
    Parameters:
      `isEqualAverage` - the new equal average

  - ### isFormatRow

    public boolean isFormatRow()
    Checks if is format row.
    Returns:
      true, if is format row

  - ### setFormatRow

    public void setFormatRow​(boolean formatRow)
    Sets the format row.
    Parameters:
      `formatRow` - the new format row

  - ### getConditionalFormatOperator

    public ConditionalFormatOperator getConditionalFormatOperator()
    Gets the conditional format operator.
    Returns:
      the conditional format operator

  - ### setConditionalFormatOperator

    public void setConditionalFormatOperator​(ConditionalFormatOperator formatOperator)
    Sets the conditional format operator.
    Parameters:
      `formatOperator` - the new conditional format operator

  - ### isTopPercent

    public boolean isTopPercent()
    Checks if is top percent.
    Returns:
      true, if is top percent

  - ### setTopPercent

    public void setTopPercent​(boolean isTopPercent)
    Sets the top percent.
    Parameters:
      `isTopPercent` - the new top percent

  - ### getPriority

    public int getPriority()
    Gets the priority.
    Returns:
      the priority

  - ### setPriority

    public void setPriority​(int priority)
    Sets the priority.
    Parameters:
      `priority` - the new priority

  - ### getRank

    public int getRank()
    Gets the rank.
    Returns:
      the rank

  - ### setRank

    public void setRank​(int rank)
    Sets the rank.
    Parameters:
      `rank` - the new rank

  - ### getStandardDeviationCount

    public int getStandardDeviationCount()
    Gets the standard deviation count.
    Returns:
      the standard deviation count

  - ### setStandardDeviationCount

    public void setStandardDeviationCount​(int standardDeviationCount)
    Sets the standard deviation count.
    Parameters:
      `standardDeviationCount` - the new standard deviation count

  - ### isStopIfTrue

    public boolean isStopIfTrue()
    Checks if is stop if true.
    Returns:
      true, if is stop if true

  - ### setStopIfTrue

    public void setStopIfTrue​(boolean stopIfTrue)
    Sets the stop if true.
    Parameters:
      `stopIfTrue` - the new stop if true

  - ### getText

    public String getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### getTimePeriod

    public TimePeriod getTimePeriod()
    Gets the time period.
    Returns:
      the time period

  - ### setTimePeriod

    public void setTimePeriod​(TimePeriod timePeriod)
    Sets the time period.
    Parameters:
      `timePeriod` - the new time period

  - ### getType

    public ConditionalFormatType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ConditionalFormatType type)
    Sets the type.
    Parameters:
      `type` - the new type